%define bname qalculate

Summary:	A very versatile desktop calculator
Name:		qalculate-gtk
Version:	0.9.7
Release:	%mkrel 6
License:	GPLv2+
Group:		Office/Utilities
URL:		http://qalculate.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/qalculate/%{name}-%{version}.tar.bz2
Patch1:		qalculate-gtk-0.9.6-fix-str-fmt.patch
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	scrollkeeper
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libqalculate) >= 0.9.7
BuildRequires:	pkgconfig(libgnome-2.0)

Requires:	gnuplot
Requires:	wget

Provides:	qalculate = %{version}-%{release}

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry 
(although it supports optional traditional buttons). 

This package provides the GTK frontend.

%prep
%setup -q
%patch1 -p0

%build

%configure2_5x
%make

%install
%makeinstall_std 

#icons 
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -size 48x48 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -size 32x32 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png 
convert -size 16x16 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#(tpg) drop icon extension
sed -i -e 's/^Icon=%{bname}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

desktop-file-install \
	--remove-category="Application" \
	--add-category="GTK" \
	--add-category="Calculator" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/* 

##CAE rm symlink so both gtk and kde frontend are installable
rm -f %{buildroot}%{_bindir}/qalculate

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%dir %{_datadir}/omf/%{name}/
%{_datadir}/omf/%{name}/qalculate-gtk-C.omf
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.7-6.mga3
+ Revision: 379780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Mon Jan 07 2013 barjac <barjac> 0.9.7-5.mga3
+ Revision: 340459
- update group

* Tue Aug 28 2012 wally <wally> 0.9.7-4.mga3
+ Revision: 284950
- clean .spec a bit

* Mon Mar 28 2011 steletch <steletch> 0.9.7-3.mga2
+ Revision: 78581
- Really add the updated archive
- imported package qalculate-gtk

